import { BaseXform } from "../base-xform.js";
import { FilterColumnXform } from "./filter-column-xform.js";
interface AutoFilterModel {
    autoFilterRef: string;
    columns: any[];
}
declare class AutoFilterXform extends BaseXform {
    map: {
        [key: string]: FilterColumnXform;
    };
    parser: any;
    model: AutoFilterModel;
    constructor();
    get tag(): string;
    prepare(model: any): void;
    render(xmlStream: any, model: any): void;
    parseOpen(node: any): boolean;
    parseText(text: string): void;
    parseClose(name: string): boolean;
}
export { AutoFilterXform };
